Bug 1655163 - [v2v][RFE] Editing an OSP mapping with public networks causes errors in Networks step of mapping wizard
Summary: [v2v][RFE] Editing an OSP mapping with public networks causes errors in Netwo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 19:58 UTC by Mike Turley
Modified: 2019-02-07 23:04 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:59 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:04 UTC

Description Mike Turley 2018-11-30 19:58:47 UTC
GitHub Issue: https://github.com/ManageIQ/manageiq-v2v/issues/804

Description of problem: See GH issue


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a mapping targeting OpenStack
2. Target a public cloud_network that is not part of the target cloud_tenant
3. Save the mapping
4. Click the edit icon to reopen the mapping wizard
5. Proceed through the wizard to reach the Networks step

Actual results: Console errors, pre-filled mappings fail to load


Expected results: No errors, mappings load properly


Additional info:

Comment 3 Mike Turley 2018-11-30 20:00:51 UTC
PR: https://github.com/ManageIQ/manageiq-v2v/pull/814

Comment 4 CFME Bot 2018-12-04 13:23:25 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/6359cb653f34f48b767af386660f595aa2471d73
commit 6359cb653f34f48b767af386660f595aa2471d73
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Mon Dec  3 16:25:30 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Mon Dec  3 16:25:30 2018 -0500

    Merge pull request #814 from mturley/804-prefill-public-networks

    [#804] Include public networks when prefilling a mapping for editing

    (cherry picked from commit 017446e5846f4b819657643b6031aa8753d4fa2e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1655163

 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardNetworksStep/MappingWizardNetworksStep.js | 2 +-
 app/javascript/react/screens/App/Mappings/screens/MappingWizard/components/MappingWizardNetworksStep/components/NetworksStepForm/helpers.js | 61 +-
 2 files changed, 49 insertions(+), 14 deletions(-)

Comment 5 Yadnyawalk Tale 2018-12-24 15:13:31 UTC
Fixed, mapping loads properly on mentioned location.
Verified on - 5.10.0.30.20181218191323_900a416

Comment 6 errata-xmlrpc 2019-02-07 23:03:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.